X2Go Bug report logs - #610
Add versioning information to nxcomp

version graph

Package: nx-libs; Maintainer for nx-libs is X2Go Developers <x2go-dev@lists.x2go.org>;

Reported by: Nito Martinez <Nito@Qindel.ES>

Date: Sun, 14 Sep 2014 22:40:01 UTC

Severity: normal

Tags: pending

Found in version 3.5.0.27

Fixed in version 2:3.5.0.28

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#610; Package nx-libs. (Sun, 14 Sep 2014 22:40:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nito Martinez <Nito@Qindel.ES>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 14 Sep 2014 22:40:01 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Nito Martinez <Nito@Qindel.ES>
To: submit@bugs.x2go.org
Subject: Add versioning information to nxcomp
Date: Mon, 15 Sep 2014 00:28:51 +0200
[Message part 1 (text/plain, inline)]
Package: nx-libs
Version: 3.5.0-27

It would be desirable to add some versions to be able to get the version 
of the
NXComp library.
These should be defined in NX.h, to be used from other clients, and

Attached is a patch that defines the following functions:

extern const char* NXVersion();
extern int NXMajorVersion();
extern int NXMinorVersion();
extern int NXPatchVersion();

In the patch assigned the VERSION has been set to 3.5.28, just to 
highlight that
it would be good to change the VERSION of nxcomp whenever a patch is applied
to the code.

Regards,

Nito
[Message part 2 (text/html, inline)]
[nxcomp-version.patch (text/x-diff, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#610; Package nx-libs. (Mon, 15 Sep 2014 10:05:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 15 Sep 2014 10:05:02 GMT) Full text and rfc822 format available.

Message #10 received at 610@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Nito Martinez <Nito@qindel.es>, 610@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#610: Add versioning information to nxcomp
Date: Mon, 15 Sep 2014 10:02:26 +0000
[Message part 1 (text/plain, inline)]
Control: notfound -1 3.5.0-27
Control: found -1 3.5.0.27

Hi Nito,

On  Mo 15 Sep 2014 00:28:51 CEST, Nito Martinez wrote:

> Package: nx-libs
> Version: 3.5.0-27
>
> It would be desirable to add some versions to be able to get the  
> version of the
> NXComp library.
> These should be defined in NX.h, to be used from other clients, and
>
> Attached is a patch that defines the following functions:
>
> extern const char* NXVersion();
> extern int NXMajorVersion();
> extern int NXMinorVersion();
> extern int NXPatchVersion();
>
> In the patch assigned the VERSION has been set to 3.5.28, just to  
> highlight that
> it would be good to change the VERSION of nxcomp whenever a patch is applied
> to the code.
>
> Regards,
>
> Nito

Thanks for sending in that patch.

However, the next upstream release of NX redistributed is planned to  
be 3.5.0.28.

The idea starting the NX version with 3.5.0 was to reflect what  
"upstream" version we obtained from NoMachine (they use three digits,  
NX redistributed uses _four_ digits in the version string). The fourth  
part of the version quadruple is the NX/X2Go/QVD redistributed patch  
level, so to say.

If that will not cause any technical issues, can you rewrite that  
patch so it handles four digit version strings (major, minor, micro,   
X2Go/QVD-patchlevel).

Please also note that an upstream version like 3.5.0-28 will cause  
convention issues with most Linux distributions. In Debian, for  
example, the part left of the "-" denotes the upstream version, the  
part right of the "-" denotes the package revision inside Debian. So  
we should avoid using a dash in the NX-libs upstream version.

Thanks!
Mike



-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

No longer marked as found in versions 3.5.0-27. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 610-submit@bugs.x2go.org. (Mon, 15 Sep 2014 10:05:02 GMT) Full text and rfc822 format available.

Marked as found in versions 3.5.0.27. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 610-submit@bugs.x2go.org. (Mon, 15 Sep 2014 10:05:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#610; Package nx-libs. (Mon, 15 Sep 2014 10:55:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nito Martinez <Nito@Qindel.ES>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 15 Sep 2014 10:55:02 GMT) Full text and rfc822 format available.

Message #19 received at 610@bugs.x2go.org (full text, mbox):

From: Nito Martinez <Nito@Qindel.ES>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 610@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#610: Add versioning information to nxcomp
Date: Mon, 15 Sep 2014 12:43:01 +0200
[Message part 1 (text/plain, inline)]
Not a problem.

Thanks for the feedback.

:-)

Nito
On 09/15/14 12:02, Mike Gabriel wrote:
> Control: notfound -1 3.5.0-27
> Control: found -1 3.5.0.27
>
> Hi Nito,
>
> On  Mo 15 Sep 2014 00:28:51 CEST, Nito Martinez wrote:
>
>> Package: nx-libs
>> Version: 3.5.0-27
>>
>> It would be desirable to add some versions to be able to get the 
>> version of the
>> NXComp library.
>> These should be defined in NX.h, to be used from other clients, and
>>
>> Attached is a patch that defines the following functions:
>>
>> extern const char* NXVersion();
>> extern int NXMajorVersion();
>> extern int NXMinorVersion();
>> extern int NXPatchVersion();
>>
>> In the patch assigned the VERSION has been set to 3.5.28, just to 
>> highlight that
>> it would be good to change the VERSION of nxcomp whenever a patch is 
>> applied
>> to the code.
>>
>> Regards,
>>
>> Nito
>
> Thanks for sending in that patch.
>
> However, the next upstream release of NX redistributed is planned to 
> be 3.5.0.28.
>
> The idea starting the NX version with 3.5.0 was to reflect what 
> "upstream" version we obtained from NoMachine (they use three digits, 
> NX redistributed uses _four_ digits in the version string). The fourth 
> part of the version quadruple is the NX/X2Go/QVD redistributed patch 
> level, so to say.
>
> If that will not cause any technical issues, can you rewrite that 
> patch so it handles four digit version strings (major, minor, micro,  
> X2Go/QVD-patchlevel).
>
> Please also note that an upstream version like 3.5.0-28 will cause 
> convention issues with most Linux distributions. In Debian, for 
> example, the part left of the "-" denotes the upstream version, the 
> part right of the "-" denotes the package revision inside Debian. So 
> we should avoid using a dash in the NX-libs upstream version.
>
> Thanks!
> Mike
>
>
>

[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#610; Package nx-libs. (Fri, 19 Sep 2014 13:50:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nito Martinez <Nito@Qindel.ES>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 19 Sep 2014 13:50:02 GMT) Full text and rfc822 format available.

Message #24 received at 610@bugs.x2go.org (full text, mbox):

From: Nito Martinez <Nito@Qindel.ES>
To: 610@bugs.x2go.org
Subject: New version of the patch supporting for 4 digit version as in 3.5.0-28
Date: Fri, 19 Sep 2014 15:48:11 +0200
[Message part 1 (text/plain, inline)]
New version of the patch supporting for 4 digit version as in 3.5.0-28 
(dots and dashes can be used interchangebly).

Nito


[nxcomp-version.patch (text/x-diff, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#610; Package nx-libs. (Wed, 01 Oct 2014 19:05:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nito Martinez <nito.martinez@qindel.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 01 Oct 2014 19:05:01 GMT) Full text and rfc822 format available.

Message #29 received at 610@bugs.x2go.org (full text, mbox):

From: Nito Martinez <nito.martinez@qindel.com>
To: x2go-dev@lists.x2go.org, 610@bugs.x2go.org
Subject: Regarding bug 610: nxlibs version information
Date: Wed, 01 Oct 2014 20:58:33 +0200
[Message part 1 (text/plain, inline)]
Hi Michael,

did you have a chance to review the patch for bug 610?

Regards,

Nito
-- 
Nito Martínez
CTO | Qindel Group
E: nito.martinez@qindel.com <mailto:nito.martinez@qindel.com>
M: +34678476906 <tel:+34678476906>
Qindel Group <http://www.qindel.com/>
[Message part 2 (text/html, inline)]
[QindelGroup.png (image/png, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#610; Package nx-libs. (Thu, 02 Oct 2014 08:25:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 02 Oct 2014 08:25:02 GMT) Full text and rfc822 format available.

Message #34 received at 610@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Nito Martinez <nito.martinez@qindel.com>, 610@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#610: Regarding bug 610: nxlibs version information
Date: Thu, 02 Oct 2014 08:24:26 +0000
[Message part 1 (text/plain, inline)]
HI Nito,

On  Mi 01 Okt 2014 20:58:33 CEST, Nito Martinez wrote:

> Hi Michael,
>
> did you have a chance to review the patch for bug 610?
>
> Regards,
>
> Nito

I am sorry for the delay... It is on my todo list.

I will take a look now.

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#610; Package nx-libs. (Thu, 02 Oct 2014 09:55:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 02 Oct 2014 09:55:01 GMT) Full text and rfc822 format available.

Message #39 received at 610@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 610-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 610@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as pending for release
Date: Thu, 2 Oct 2014 11:54:34 +0200 (CEST)
tag #610 pending
fixed #610 2:3.5.0.28
thanks

Hello,

X2Go issue #610 (src:nx-libs) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=61d047d

The issue will most likely be fixed in src:nx-libs (2:3.5.0.28).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 61d047d630bf1dceb61e25f63360969a5416e596
Author: Nito Martinez <Nito@Qindel.ES>
Date:   Thu Oct 2 10:40:55 2014 +0200

    Add 400_nxcomp-version.full+lite.patch. Allow 4-digit version comparison during NX session handshake. (Fixes: #610).

diff --git a/debian/changelog b/debian/changelog
index 2c41937..535d008 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,10 +1,15 @@
 nx-libs (2:3.5.0.28-0x2go1) UNRELEASED; urgency=medium
 
+  [ Mike Gabriel ]
   * Provide COPYING file in tarball. Update debian/copyright.
   * Add 025_nxcomp-fix-ftbfs-against-jpeg9a.full+lite.patch. Fix FTBFS when
     built against libjpeg9a. Thanks to Gabriel Marcano for sending this in.
     (Fixes: #578).
 
+  [ Nito Martinez ]
+  * Add 400_nxcomp-version.full+lite.patch. Allow 4-digit version comparison
+    during NX session handshake. (Fixes: #610).
+
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 30 Jun 2014 15:05:54 +0200
 
 nx-libs (2:3.5.0.27-0x2go1) unstable; urgency=medium


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 02 Oct 2014 09:55:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 2:3.5.0.28. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 02 Oct 2014 09:55:02 GMT) Full text and rfc822 format available.

Message sent on to Nito Martinez <Nito@Qindel.ES>:
Bug#610. (Thu, 02 Oct 2014 09:55:03 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#610; Package nx-libs. (Thu, 02 Oct 2014 10:40:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 02 Oct 2014 10:40:01 GMT) Full text and rfc822 format available.

Message #51 received at 610@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Nito Martinez <nito.martinez@qindel.com>, 610@bugs.x2go.org, x2go-dev@lists.x2go.org
Subject: Re: [X2Go-Dev] Bug#610: Regarding bug 610: nxlibs version information
Date: Thu, 02 Oct 2014 10:37:08 +0000
[Message part 1 (text/plain, inline)]
Hi Nito,

On  Mi 01 Okt 2014 20:58:33 CEST, Nito Martinez wrote:

> Hi Michael,
>
> did you have a chance to review the patch for bug 610?
>
> Regards,
>
> Nito

we are currently preparing nightly builds of nx-libs [1] including your patch.

Note, that version strings in nx-libs are 1.2.3.4, not 1.2.3-4. I  
adapted your patch to this.

Ubuntu builds should follow within the day. Happy testing...

Also: if you tested this well and my tests here do not contradict, we  
can release nx-libs 3.5.0.28 right away.

Greets,
Mike

[1] https://jenkins.x2go.org:8443/view/NX/



-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#610; Package nx-libs. (Thu, 02 Oct 2014 10:50:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nito Martinez <nito.martinez@qindel.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 02 Oct 2014 10:50:02 GMT) Full text and rfc822 format available.

Message #56 received at 610@bugs.x2go.org (full text, mbox):

From: Nito Martinez <nito.martinez@qindel.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 610@bugs.x2go.org
Cc: x2go-dev@lists.x2go.org
Subject: Re: [X2Go-Dev] Bug#610: Bug#610: Regarding bug 610: nxlibs version information
Date: Thu, 02 Oct 2014 12:47:14 +0200
[Message part 1 (text/plain, inline)]
Thanks Mike,

Nito
On 10/02/14 12:37, Mike Gabriel wrote:
> Hi Nito,
>
> On  Mi 01 Okt 2014 20:58:33 CEST, Nito Martinez wrote:
>
>> Hi Michael,
>>
>> did you have a chance to review the patch for bug 610?
>>
>> Regards,
>>
>> Nito
>
> we are currently preparing nightly builds of nx-libs [1] including 
> your patch.
>
> Note, that version strings in nx-libs are 1.2.3.4, not 1.2.3-4. I 
> adapted your patch to this.
>
> Ubuntu builds should follow within the day. Happy testing...
>
> Also: if you tested this well and my tests here do not contradict, we 
> can release nx-libs 3.5.0.28 right away.
>
> Greets,
> Mike
>
> [1] https://jenkins.x2go.org:8443/view/NX/
>
>
>
>
>
> _______________________________________________
> x2go-dev mailing list
> x2go-dev@lists.x2go.org
> http://lists.x2go.org/listinfo/x2go-dev

-- 
Nito Martínez
CTO | Qindel Group
E: nito.martinez@qindel.com <mailto:nito.martinez@qindel.com>
M: +34678476906 <tel:+34678476906>
Qindel Group <http://www.qindel.com/>
[Message part 2 (text/html, inline)]
[QindelGroup.png (image/png, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#610; Package nx-libs. (Thu, 13 Nov 2014 21:00:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 13 Nov 2014 21:00:10 GMT) Full text and rfc822 format available.

Message #61 received at 610@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 610-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 610@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as closed
Date: Thu, 13 Nov 2014 21:56:49 +0100 (CET)
close #610
thanks

Hello,

we are very hopeful that X2Go issue #610 reported by you
has been resolved in the new release (2:3.5.0.28) of the
X2Go source project »src:nx-libs«.

You can view the complete changelog entry of src:nx-libs (2:3.5.0.28)
below, and you can use the following link to view all the code changes
between this and the last release of src:nx-libs.

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=f13f6a6adaa8d33f105041c1b9f52985e75a5912;hp=aeb5e8ad5491b9f950cb038ca6eb6b1e15fef05a

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:nx-libs.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:nx-libs
Version: 2:3.5.0.28-0x2go1
Status: RELEASE
Date: Thu, 13 Nov 2014 21:39:24 +0100
Fixes: 269 578 585 610 621
Changes: 
 nx-libs (2:3.5.0.28-0x2go1) RELEASED; urgency=medium
 .
   [ Mike Gabriel ]
   * Provide COPYING file in tarball. Update debian/copyright.
   * Add 025_nxcomp-fix-ftbfs-against-jpeg9a.full+lite.patch. Fix FTBFS when
     built against libjpeg9a. Thanks to Gabriel Marcano for sending this in.
     (Fixes: #578).
   * Update 027_nxcomp_abstract-X11-socket.full+lite: Add patch header
     (Description: and Author: field).
   * Add 607_nxcomp_macosx-X11-launcher-in-private-tmp.full+lite.patch. Fix check
     for launchd socket path in $DISPLAY on recent Mac OS X systems.
   * Rename 605_nxcomp_Types.h-dont-use-STL-internals-on-libc++.full.patch to
     605_nxcomp_Types.h-dont-use-STL-internals-on-libc++.full+lite.patch. It is
     an nxcomp patch that needs to be applied in the nx-libs-lite _and_ the
     nx-libs-full tarball release.
   * debian/libnx-x11.postinst:
     + Don't use dpkg-architecture (bin:package dpkg-dev) in postinst script.
       Instead prep a libnx-x11.postinst script at build time. (Fixes:
       #621).
   * debian/rules:
     + No such option for dh_auto_build: --with quilt."
   * nx-libs.spec:
     + Adapt installation of debian/VERSION as VERSION.x2goagent and
       nxcomp/VERSION to latest changes introduced by
       400_nxcomp-version.full+lite.patch.
     + Additionally adapt to building on openSUSE/SLES.
     + SUSE hack for linking to files in libX11-6 and libXext6.
     + Make sure all package directories are owned by one of the
       built bin:packages.
     + Fix Xinerama symlink installation into RPM bin:package
       libNX_Xinerama. (Fixes: #269).
 .
   [ Nito Martinez ]
   * Add 400_nxcomp-version.full+lite.patch. Allow 4-digit version comparison
     during NX session handshake. (Fixes: #610).
 .
   [ Ulrich Sibiller ]
   * Add 207_nxagent_fix-xfixes-selection.full.patch. Fix selection handling
     when XFIXES is enabled. (Fixes: #585).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#610; Package nx-libs. (Thu, 13 Nov 2014 21:00:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 13 Nov 2014 21:00:11 GMT) Full text and rfc822 format available.

Message #66 received at 610@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 610-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 610@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as closed
Date: Thu, 13 Nov 2014 21:56:46 +0100 (CET)
close #610
thanks

Hello,

we are very hopeful that X2Go issue #610 reported by you
has been resolved in the new release (2:3.5.0.28) of the
X2Go source project »src:nx-libs«.

You can view the complete changelog entry of src:nx-libs (2:3.5.0.28)
below, and you can use the following link to view all the code changes
between this and the last release of src:nx-libs.

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=39202bb0cfad1a5d78135a205033398003769997;hp=aeb5e8ad5491b9f950cb038ca6eb6b1e15fef05a

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:nx-libs.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:nx-libs
Version: 2:3.5.0.28-0x2go1
Status: RELEASE
Date: Thu, 13 Nov 2014 21:39:24 +0100
Fixes: 269 578 585 610 621
Changes: 
 nx-libs (2:3.5.0.28-0x2go1) RELEASED; urgency=medium
 .
   [ Mike Gabriel ]
   * Provide COPYING file in tarball. Update debian/copyright.
   * Add 025_nxcomp-fix-ftbfs-against-jpeg9a.full+lite.patch. Fix FTBFS when
     built against libjpeg9a. Thanks to Gabriel Marcano for sending this in.
     (Fixes: #578).
   * Update 027_nxcomp_abstract-X11-socket.full+lite: Add patch header
     (Description: and Author: field).
   * Add 607_nxcomp_macosx-X11-launcher-in-private-tmp.full+lite.patch. Fix check
     for launchd socket path in $DISPLAY on recent Mac OS X systems.
   * Rename 605_nxcomp_Types.h-dont-use-STL-internals-on-libc++.full.patch to
     605_nxcomp_Types.h-dont-use-STL-internals-on-libc++.full+lite.patch. It is
     an nxcomp patch that needs to be applied in the nx-libs-lite _and_ the
     nx-libs-full tarball release.
   * debian/libnx-x11.postinst:
     + Don't use dpkg-architecture (bin:package dpkg-dev) in postinst script.
       Instead prep a libnx-x11.postinst script at build time. (Fixes:
       #621).
   * debian/rules:
     + No such option for dh_auto_build: --with quilt."
   * nx-libs.spec:
     + Adapt installation of debian/VERSION as VERSION.x2goagent and
       nxcomp/VERSION to latest changes introduced by
       400_nxcomp-version.full+lite.patch.
     + Additionally adapt to building on openSUSE/SLES.
     + SUSE hack for linking to files in libX11-6 and libXext6.
     + Make sure all package directories are owned by one of the
       built bin:packages.
     + Fix Xinerama symlink installation into RPM bin:package
       libNX_Xinerama. (Fixes: #269).
 .
   [ Nito Martinez ]
   * Add 400_nxcomp-version.full+lite.patch. Allow 4-digit version comparison
     during NX session handshake. (Fixes: #610).
 .
   [ Ulrich Sibiller ]
   * Add 207_nxagent_fix-xfixes-selection.full.patch. Fix selection handling
     when XFIXES is enabled. (Fixes: #585).


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 13 Nov 2014 21:00:14 GMT) Full text and rfc822 format available.

Notification sent to Nito Martinez <Nito@Qindel.ES>:
Bug acknowledged by developer. (Thu, 13 Nov 2014 21:00:14 GMT) Full text and rfc822 format available.

Message sent on to Nito Martinez <Nito@Qindel.ES>:
Bug#610. (Thu, 13 Nov 2014 21:00:24 GMT) Full text and rfc822 format available.

Message sent on to Nito Martinez <Nito@Qindel.ES>:
Bug#610. (Thu, 13 Nov 2014 21:00:25 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 12 Dec 2014 06:24:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sun Jun 16 17:03:39 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.